summaryrefslogtreecommitdiff
path: root/shell
diff options
context:
space:
mode:
authorSamara Jinnah <tabhooked@gmail.com>2024-06-13 03:43:33 +0200
committerGitHub <noreply@github.com>2024-06-13 10:43:33 +0900
commite023736c30e789073211ec5b3d49af860c3c3562 (patch)
treefeffc27695cc81dff26d1199deae8d11de08931f /shell
parentdca2262fe6f8d7c4a9264464e45d44e684d0e70b (diff)
downloadfzf-e023736c30e789073211ec5b3d49af860c3c3562.tar.gz
[zsh] Prevent glob expansion in history widget (#3855)
Diffstat (limited to 'shell')
-rw-r--r--shell/key-bindings.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/shell/key-bindings.zsh b/shell/key-bindings.zsh
index 07f02bfd..f488a46b 100644
--- a/shell/key-bindings.zsh
+++ b/shell/key-bindings.zsh
@@ -107,7 +107,7 @@ fi
# CTRL-R - Paste the selected command from history into the command line
fzf-history-widget() {
local selected num
- setopt localoptions noglobsubst noposixbuiltins pipefail no_aliases 2> /dev/null
+ setopt localoptions noglobsubst noposixbuiltins pipefail no_aliases noglob 2> /dev/null
# Ensure the associative history array, which maps event numbers to the full
# history lines, is loaded, and that Perl is installed for multi-line output.
if zmodload -F zsh/parameter p:history 2>/dev/null && (( ${#commands[perl]} )); then